--- title: "Update the Alert Suppression" slug: "update-the-alert-suppression-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/update-the-alert-suppression-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Alert Suppression This URL updates the alert suppression for the Sensor. ### Resource URL PUT /sensor//ipsalerting/alertsuppression ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `isEnabled` | To enable the alert suppression | Boolean | Yes | | `uniqueSourceDestinationIPpairs` | Source destination IP pairs | Number | Yes | | `individualAlerts` | Individual alerts | Number | Yes | | `suppressSeconds` | Suppress seconds | Number | Yes | | `alertCorrelation` | Alert correlation | Number | Yes | | `packetsLoggedPerFlow` | Packets logged | Number | Yes | | `enablePacketLogChannelEncryptio` | Enable packet | Boolean | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful, -1 otherwise | Number | ### Example **Request** PUT [https:///sdkapi/sensor/1001/ipsalerting/alertsuppression](https://<NSM_IP>/sdkapi/sensor/1001/ipsalerting/alertsuppression) **Payload** ```    {  "isEnabled": true,  "uniqueSourceDestinationIPpairs": 16,  "individualAlerts": 2,  "suppressSeconds": 2,  "alertCorrelation": 3 "packetsLoggedPerFlow": 6400, "enablePacketLogChannelEncryption": true } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive | | 3 | 400 | 5701 | Unique source destination IP pair should be between 1 and 32 | | 4 | 400 | 5702 | Individual alerts should be between 1 and 25 | | 5 | 400 | 5703 | Suppress seconds should be between 1 and 300 | | 6 | 400 | 5704 | Alert correlation should be between 1 and 10 | | 7 | 400 | 5705 | TCP 2MSL timer interval should be at least 3 seconds more than the alert correlation time |